ALTER TABLE PROCESSOFIS MODIFY TPPROCESSO DEFAULT '1'
   ADD CONSTRAINT CKC_TPPROCESSO_PROCESSOFIS CHECK (TPPROCESSO IN ('1','2'))
/

ALTER TABLE PROCESSOFIS ADD	DTDECISAO DATE NULL
/

ALTER TABLE PROCESSOFIS MODIFY IDAUTORIA DEFAULT '1'
   ADD CONSTRAINT CKC_IDAUTORIA_PROCESSOFIS CHECK (IDAUTORIA IN ('1','2'))
/

CREATE INDEX FIS00754_FK ON PROCESSOFIS (CDPAIS ASC, SGESTADO ASC, CDMUNICIPIO ASC)
/

ALTER TABLE PROCESSOFIS ADD
	CONSTRAINT FKFIS00754MUNICIPIO FOREIGN KEY (CDPAIS, SGESTADO, CDMUNICIPIO)
		REFERENCES MUNICIPIO (CDPAIS, SGESTADO, CDMUNICIPIO)
/

ALTER TABLE PROCESSOFIS ADD CDSECAO VARCHAR2(30)	NULL
/

ALTER TABLE PROCESSOFIS ADD IDNATUACAO VARCHAR2(02)	DEFAULT '99' NOT NULL
   ADD CONSTRAINT CKC_IDNATUACAO_PROCESSOFIS CHECK (IDNATUACAO IN ('01','02','03','04','05','06','07','08','09','99'))
/

CREATE TABLE IMPOPROCESSOFIS (
   CDPROCESSO     	NUMBER 			NOT NULL,
   CDEMPRESA      	VARCHAR2(02) 	NOT NULL,
   CDIMPOSTO      	VARCHAR2(02) 	NOT NULL,
   NRORG            NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO          VARCHAR2(1)     DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_IMPOPROCESSOFIS CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO      	DATE            NULL,
   DTULTATU         DATE            NULL,
   NRORGINCLUSAO    NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO   VARCHAR2(12)  	DEFAULT '1' NULL,
   NRORGULTATU      NUMBER 			DEFAULT  SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU     VARCHAR2(12)  	DEFAULT '1',
      CONSTRAINT PK_IMPOPROCESSOFIS PRIMARY KEY (CDPROCESSO, CDIMPOSTO)
)
/

CREATE INDEX FIS00755_FK ON IMPOPROCESSOFIS (CDEMPRESA ASC)
/

ALTER TABLE IMPOPROCESSOFIS 
   ADD CONSTRAINT FKFIS00755EMPRESA FOREIGN KEY (CDEMPRESA)
      REFERENCES EMPRESA (CDEMPRESA) 
/

CREATE INDEX FIS00756_FK ON IMPOPROCESSOFIS (CDIMPOSTO ASC)
/

ALTER TABLE IMPOPROCESSOFIS 
   ADD CONSTRAINT FKFIS00756IMPOSTONFE FOREIGN KEY (CDIMPOSTO)
      REFERENCES IMPOSTONFE (CDIMPOSTONFE)
/

CREATE INDEX FIS00757_FK ON  IMPOPROCESSOFIS (CDPROCESSO ASC)
/

ALTER TABLE IMPOPROCESSOFIS 
   ADD CONSTRAINT FKFIS00757PROCESSOFIS FOREIGN KEY (CDPROCESSO)
      REFERENCES PROCESSOFIS (CDPROCESSO) ON DELETE CASCADE